Package owl.ltl

## Class FrequencyG

- java.lang.Object
- - owl.ltl.AbstractFormula
  - - owl.ltl.UnaryModalOperator
    - - owl.ltl.GOperator
      - - owl.ltl.FrequencyG

- All Implemented Interfaces:
    `Formula`

      public class FrequencyG
      extends GOperator

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FrequencyG.Comparison` |
    `static class` | `FrequencyG.Limes` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `bound` |
    `FrequencyG.Comparison` | `cmp` |
    `FrequencyG.Limes` | `limes` |

    - ### Fields inherited from class owl.ltl.UnaryModalOperator

      `operand`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FrequencyG​(Formula f, double bound, FrequencyG.Comparison cmp, FrequencyG.Limes limes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A,B> A` | `accept​(BinaryVisitor<B,A> v, B parameter)` |
    `<R> R` | `accept​(Visitor<R> v)` |
    `protected boolean` | `equals2​(AbstractFormula o)` |
    `String` | `getOperator()` |
    `protected int` | `hashCodeOnce()` |
    `boolean` | `isPureEventual()` |
    `boolean` | `isPureUniversal()` |
    `boolean` | `isSuspendable()` |
    `Formula` | `nnf()` |
    `FrequencyG` | `not()` | Syntactically negate this formula.
    `String` | `toString()` |
    `FrequencyG` | `unfold()` |

    - ### Methods inherited from class owl.ltl.AbstractFormula

      `equals, hashCode`

    - ### Methods inherited from class owl.ltl.GOperator

      `accept, of, unfoldTemporalStep`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class owl.ltl.UnaryModalOperator

      `allMatch, anyMatch, getOperand, temporalStep, temporalStepUnfold`

- - ### Field Detail

    - #### bound

          public final double bound

    - #### cmp

          public final FrequencyG.Comparison cmp

    - #### limes

          public final FrequencyG.Limes limes

  - ### Constructor Detail

    - #### FrequencyG

          public FrequencyG​(Formula f,
                            double bound,
                            FrequencyG.Comparison cmp,
                            FrequencyG.Limes limes)

  - ### Method Detail

    - #### accept

          public <R> R accept​(Visitor<R> v)

      Specified by:
        `accept` in interface `Formula`
      Overrides:
        `accept` in class `GOperator`

    - #### accept

          public <A,B> A accept​(BinaryVisitor<B,A> v,
                                B parameter)

      Specified by:
        `accept` in interface `Formula`
      Overrides:
        `accept` in class `GOperator`

    - #### equals2

          protected boolean equals2​(AbstractFormula o)

      Overrides:
        `equals2` in class `UnaryModalOperator`

    - #### getOperator

          public String getOperator()

      Overrides:
        `getOperator` in class `GOperator`

    - #### hashCodeOnce

          protected int hashCodeOnce()

      Overrides:
        `hashCodeOnce` in class `UnaryModalOperator`

    - #### isPureEventual

          public boolean isPureEventual()

      Specified by:
        `isPureEventual` in interface `Formula`
      Overrides:
        `isPureEventual` in class `GOperator`

    - #### isPureUniversal

          public boolean isPureUniversal()

      Specified by:
        `isPureUniversal` in interface `Formula`
      Overrides:
        `isPureUniversal` in class `GOperator`

    - #### isSuspendable

          public boolean isSuspendable()

      Specified by:
        `isSuspendable` in interface `Formula`
      Overrides:
        `isSuspendable` in class `GOperator`

    - #### nnf

          public Formula nnf()

      Specified by:
        `nnf` in interface `Formula`
      Overrides:
        `nnf` in class `GOperator`

    - #### not

          public FrequencyG not()

      Description copied from interface: `Formula`
      Syntactically negate this formula.

      If this formula is in NNF, the returned negation will also be in NNF.

      Specified by:
        `not` in interface `Formula`
      Overrides:
        `not` in class `GOperator`
      Returns:
        the negation of this formula.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `UnaryModalOperator`

    - #### unfold

          public FrequencyG unfold()

      Specified by:
        `unfold` in interface `Formula`
      Overrides:
        `unfold` in class `GOperator`